#!/bin/sh

# This feature requires special kernel and rfkill.ko module version.
# Lookup #modinfo rfkill.ko for unblocked parameter.
# Look at: http://git.altlinux.org/people/stanv/packages/?p=kernel-image.git;a=commitdiff;h=7741b2a437a0bc58fe31b7999d480fde1c80ce73

export LC_ALL=POSIX

a= . install2-init-functions

PROG="${PROG:-${0##*/}}"
CONFIG="$destdir/etc/modprobe.d/options"

if [ -z "$destdir" ]; then
    echo "$PROG: environment variable \`destidr' doesn't defined."
    exit 0
fi

if [ -f "$CONFIG" ]; then
    echo "$PROG: $CONFIG already exist, don't write new one."
    exit 0
fi

cat << EOF > "$CONFIG"
# Start: installer-feature-rfkill-unblocked
options rfkill master_switch_mode=2 default_state=1 unblocked=1
# End: installer-feature-rfkill-unblocked
EOF

echo "$PROG: success."
